Skip to main content
PUT
Update cost report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

cost_report_token
string
required

Body

application/json

Update a CostReport.

title
string

The title of the CostReport.

custom_calculation_tokens
string[]

The complete replacement set of CustomCalculation tokens to attach. An empty array clears all attachments; omission or null leaves them unchanged.

groupings
string

Grouping values for aggregating costs on the report. Valid groupings: account_id, billing_account_id, charge_type, cost_category, cost_subcategory, provider, region, resource_id, service, tagged, usage_unit, tag:<tag_value>. If providing multiple groupings, join as comma separated values: groupings=provider,service,region

filter
string

The filter query language to apply to the CostReport. Additional documentation available at https://docs.vantage.sh/vql.

saved_filter_tokens
string[]

The tokens of the SavedFilters to apply to the CostReport.

business_metric_tokens_with_metadata
object[]

The tokens for any BusinessMetrics to attach to the CostReport, and the unit scale.

folder_token
string

The token of the Folder to add the CostReport to. Determines the Workspace the report is assigned to.

default_forecast
object

The default forecast selection for the CostReport.

settings
object

Report settings.

chart_settings
object

Report chart settings.

previous_period_start_date
string

The previous period start date of the CostReport. ISO 8601 Formatted.

previous_period_end_date
string

The previous period end date of the CostReport. ISO 8601 Formatted. Required when previous_period_start_date is provided.

start_date
string

The start date of the CostReport. ISO 8601 Formatted. Incompatible with 'date_interval' parameter.

end_date
string

The end date of the CostReport. ISO 8601 Formatted. Required when start_date is provided. Incompatible with 'date_interval' parameter.

date_interval
enum<string>

The date interval of the CostReport. Incompatible with 'start_date' and 'end_date' parameters. Defaults to 'this_month' if start_date and end_date are not provided.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
next_month,
next_3_months,
next_6_months,
next_12_months,
year_to_date,
last_3_days,
last_14_days
chart_type
enum<string>

The chart type of the CostReport.

Available options:
area,
line,
pie,
bar,
multi_bar
date_bin
enum<string>

The date bin of the CostReport.

Available options:
cumulative,
day,
week,
month,
quarter,
hour

Response

CostReport model

token
string
required
title
string
required

The title of the CostReport.

Example:

"Production Environment"

business_metric_tokens_with_metadata
object[]
required

The tokens for the BusinessMetrics assigned to the CostReport, the unit scale, and label filter.

custom_calculation_tokens
string[]
required

The tokens of the CustomCalculations attached to the CostReport.

default_forecast
object
required
filter
string | null
required

The filter applied to the CostReport. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

workspace_token
string
required

The token for the Workspace the CostReport is a part of.

date_interval
string
required

The date interval of the CostReport.

chart_type
string
required

The chart type of the CostReport.

date_bin
string
required

The date bin of the CostReport.

chart_settings
object
required
folder_token
string | null

The token for the Folder the CostReport is a part of.

saved_filter_tokens
string[] | null

The tokens for the SavedFilters assigned to the CostReport.

groupings
string | null

The grouping aggregations applied to the filtered data.

Example:

"provider, service"

settings
object

Report settings.

previous_period_start_date
string | null

The previous period start date of the CostReport. ISO 8601 Formatted.

Example:

"2024-06-01"

previous_period_end_date
string | null

The previous period end date of the CostReport. ISO 8601 Formatted.

Example:

"2024-06-15"

start_date
string | null

The start date of the CostReports. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2024-07-01"

end_date
string | null

The end date of the CostReports. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2024-07-15"